Loading...
Searching...
No Matches
casacore::RFWriter Class Referenceabstract
images package (libcasa_images) » Regions_module

Abstract superclass for any class that writes Regions to a region file format. More...

`#include <RFReaderWriter.h>`

## Public Member Functions

| RFWriter ()
| Constructor.
virtual | ~RFWriter ()
| Destructor.
virtual void | setOptions (const Record *options)
| Sets the optional to the values.
virtual bool | write (const Record &region) const =0
| Write the given regions to the filename set with setFile and returns true if no errors were reported, false otherwise.
virtual bool | writeFile (const String &filename, const Record &regions)
| Calls setFile then write.
Public Member Functions inherited from casacore::RFReaderWriter
| RFReaderWriter ()
| Constructor.
virtual | ~RFReaderWriter ()
| Destructor.
virtual void | setFile (const String &filename)
| Sets the file to be read/written to the given.
virtual void | setName (const String &regionName)
| Sets the region name associated withe the file to be read or written.
virtual const RFError & | lastError () const
| Returns the last error set during read/write.

## Additional Inherited Members

Public Types inherited from casacore::RFReaderWriter
enum | SupportedType { AIPS_BOX , DS9 , CASA_XML , AIPS_IO }
| An enum of all known subclasses/formats supported. More...
Static Public Member Functions inherited from casacore::RFReaderWriter
static SupportedType | supportedTypes (String type)
| Converts between enum and String for SupportedType.
static String | supportedTypes (SupportedType type)
static String | extensionForType (SupportedType type)
| Returns the file extension for the given SupportedType.
static Vector< SupportedType > | supportedTypes ()
| Returns all known SupportedTypes.
static Vector< String > | supportedTypeStrings ()
static RFReader * | readerForType (SupportedType type)
| Returns an appropriate child RFReader class for the given SupportedType, or NULL for an error (shouldn't happen).
static RFWriter * | writerForType (SupportedType type)
| Returns an new appropriate child RfWriter class for the given SupportedType, or NULL for an error (shouldn't happen).
static Record * | optionsWidgetForType (SupportedType type)
| Returns an new appropriate options widget for the given SupportedType, or NULL for an error (shouldn't happen).
Protected Member Functions inherited from casacore::RFReaderWriter
virtual void | setError (const String &error, bool fatal=false) const
| Convenience method for setting last error during read/write.
Protected Attributes inherited from casacore::RFReaderWriter
String * | pFilename_p
| Filename to be read/written.
String * | pRegionName_p
| Name to be assigned to the region.
RFError | lastError_p
| Last error seen during read/write.
Record | options_p
| Record containg plotting options for the regions.

## Detailed Description

Abstract superclass for any class that writes Regions to a region file format.

### Intended use:

Public interface

### Synopsis

Provide a well defined set of operations that all region file writers must contain regardless of the file format of the file being saved..

Note that some file formats allow for plotting options to be stored with the region information. The setOptions method allows the user to supply this information.

### Example

Definition at line 281 of file RFReaderWriter.h.

## Constructor & Destructor Documentation

## RFWriter()

casacore::RFWriter::RFWriter | ( |  | ) |

inline

Constructor.

Definition at line 285 of file RFReaderWriter.h.

## ~RFWriter()

virtual casacore::RFWriter::~RFWriter | ( |  | ) |

inline virtual

Destructor.

Definition at line 288 of file RFReaderWriter.h.

## Member Function Documentation

## setOptions()

virtual void casacore::RFWriter::setOptions | ( | const Record * | options | ) |

inline virtual

Sets the optional to the values.

These values are related to the drawing of regions and not defining the regions themselves. For example, the colour to draw the region as.

Reimplemented in casacore::AipsIOReaderWriter.

Definition at line 293 of file RFReaderWriter.h.

References casacore::RFReaderWriter::options_p, and casacore::Record().

## write()

virtual bool casacore::RFWriter::write | ( | const Record & | region | ) | const

pure virtual

Write the given regions to the filename set with setFile and returns true if no errors were reported, false otherwise.

If false is returned, the details can be found using lastError().

Implemented in casacore::AipsIOReaderWriter.

References casacore::Record().

Referenced by writeFile().

## writeFile()

virtual bool casacore::RFWriter::writeFile | ( | const String & | filename,
|  | const Record & | regions )

inline virtual

Calls setFile then write.

Definition at line 304 of file RFReaderWriter.h.

References casacore::Record(), casacore::RFReaderWriter::setFile(), and write().

The documentation for this class was generated from the following file:

- images/Regions/RFReaderWriter.h